发布时间 :2001-07-20 00:00:00
修订时间 :2008-09-05 16:26:06

[原文]Directory traversal vulnerability in IBM alphaWorks Java TFTP server 1.21 allows remote attackers to conduct unauthorized operations on arbitrary files via a .. (dot dot) attack.

[CNNVD]IBM alphaWorks TFTP 目录遍历漏洞(CNNVD-200107-129)

        CVE(CAN) ID: CAN-2001-1265
        IBM alphaWorks TFTP 是一个AIX, OS/2和Microsoft Windows 9x/NT平台下用Java语言

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)


- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(VENDOR_ADVISORY)  XF  ibm-tftp-directory-traversal(6864)
(VENDOR_ADVISORY)  BUGTRAQ  20010720 IBM TFTP Server for Java vulnerability

- 漏洞信息

IBM alphaWorks TFTP 目录遍历漏洞
高危 输入验证
2001-07-20 00:00:00 2005-10-20 00:00:00
        CVE(CAN) ID: CAN-2001-1265
        IBM alphaWorks TFTP 是一个AIX, OS/2和Microsoft Windows 9x/NT平台下用Java语言

- 公告与补丁



- 漏洞信息

IBM alphaWorks Java TFTP Server Double Dot Arbitrary File Access

- 漏洞描述

Unknown or Incomplete

- 时间线

2001-07-20 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

IBM alphaWorks TFTP Directory Traversal Vulnerability
Input Validation Error 3076
Yes No
2001-07-20 12:00:00 2009-07-11 06:56:00
This vulnerability was discovered by Patrick Medhurst <> and submitted to BugTraq on July 20th, 2001.

- 受影响的程序版本

IBM alphaWorks TFTP Server 1.21

- 漏洞讨论

IBM alphaWorks TFTP is a Java server that implements that Trivial File Transfer Protocol for AIX, OS/2 and Microsoft Windows 9x/NT systems. TFTP clients may access the server remotely.

Remote attackers may use directory traversals to access arbitrary files(which are readable by the TFTP server), via a crafted get request to the host.

Sensitive information contained in system files may be disclosed to remote attackers as a result of this vulnerability.

- 漏洞利用

This issue may be exploited by making a malicious file request to a vulnerable host which contains '../' sequences.

- 解决方案

Currently the SecurityFocus staff are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: <>.

- 相关参考